<<

# console.pl

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

console.pl - command-line interface to Bugzilla API

# SYNOPSIS

$ contrib/console.pl

Bugzilla> b(5)->short_desc

> "Misplaced Widget"

Bugzilla> $f = f "cf_subsystem"; scalar @{$f->legal_values}

> 177

Bugzilla> p filter html_light, "1 < 2 <b>3</b>"

> 1 &lt; 2 <b>3</b>

Bugzilla> $u = u 5; $u->groups; d $u

# DESCRIPTION

Loads Bugzilla packages and prints expressions with Data::Dumper. Useful for checking results of Bugzilla API calls without opening a debug file from a cgi.

<<